<?php namespace Intellex\Manicure\Source;

/**
 * Declares the APi for communication with the source.
 */
interface SourceInterface {

	/**
	 * Get the image data from the source.
	 *
	 * @return mixed The image data.
	 */
	function getData();

	/**
	 * Get the width.
	 *
	 * @return int The width of the source image, in pixels.
	 */
	function getWidth();

	/**
	 * Get the height.
	 *
	 * @return int The width of the source image, in pixels.
	 */
	function getHeight();

}